2 wu453973171 wu453973171 于 2016.04.05 20:39 提问

spring myeclipse 报错servlet
 <?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:context="http://www.springframework.org/schema/context"
    xmlns:mvc="http://www.springframework.org/schema/mvc"
    xsi:schemaLocation="http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc-4.0.xsd
        http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
        http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.0.xsd">


<!-- 注解驱动 -->

<mvc:annotation-driven/>
<context:component-scan base-package="com"/>

<!-- 配置视图解释器 -->
<bean class = "org.springframework.web.servlet.view.InternalResourceViewResolver">
    <!-- 前缀 -->
    <property name="prefix" value = "/view/"></property>
    <!-- 后缀 -->
    <property name="suffix" value = ".jsp"></property>
</bean>

</beans>

像上面这样的 写我的myeclipse 就会报错
错误是:Referenced file contains errors (http://www.springframework.org/schema/beans/spring-beans-4.0.xsd). For more information, right click on the message in the Problems View and
select "Show Details..."

然后我不以注解驱动的方式 的话就没错

就是把下面的删掉就没报错了

mvc:annotation-driven/

2个回答

wu453973171
wu453973171   2016.04.05 21:26
已采纳

问题已经解决是 Namespaces问题 Namespace标签下的beans 选项里面的 namespace version 应该选择的和 spring的版本一致

CSDNXIAON
CSDNXIAON   2016.04.05 20:42

MyEclipse上整合spring,mybatis报错
用MyEclipse整合Spring和struts报错
----------------------同志你好,我是CSDN问答机器人小N,奉组织之命为你提供参考答案,编程尚未成功,同志仍需努力!

Csdn user default icon
上传中...
上传图片
插入图片